# -*- coding: utf-8; mode: rpm-spec -*-
# $Id: fonts-bitmap-terminus.spec,v 1.5 2006/05/05 08:01:35 eugene Exp $

%define cname terminus
%define version 4.20
%define fontsdir %_datadir/fonts/bitmap/terminus
%define cfontsdir %_libdir/kbd/consolefonts

Name: fonts-console-%cname
Version: %version
Release: alt2
Summary: Terminus Font - a clean font for console
Summary(ru_RU.UTF-8): Шрифт Terminus для консоли
License: GPL
Group: System/Fonts/Console
URL: http://www.is-vn.bg/hamster/jimmy-en.html

Source0: %cname-font-%version.tar.gz
Source1: %cname-FAQ

# Patch0: %cname-font-4.16-kacyrillic.patch.gz
# Patch0: %cname-4.16-be_ve_ka_cyrillic.patch
Patch0: %cname-4.20-be_ve_cyrillic.patch

PreReq: chkfontpath
PreReq: fontconfig >= 2.3.2-alt6
Requires: chkfontpath >= 1.4.1

Obsoletes: %cname-fonts-console <= 4.14-alt1
Provides: %cname-fonts-console = %version-%release

# Automatically added by buildreq on Tue Oct 19 2004
BuildRequires: freetype2 xorg-x11-font-utils xorg-x11-libs

%description
Terminus Font is designed for long (8 and more hours per day) work with
computers. Version 4.16 contains 690 characters, covering code pages
ISO8859-1/2/5/9/13/15/16, Windows-1250/1251/1252/1254/1257,
IBM-437/852/855/866, KOI8-R/U/E/F, Bulgarian-MIK, Paratype-PT154/PT254,
Macintosh-Ukrainian and Esperanto, and also the vt100 and xterm
pseudographic characters.
The sizes present are 6x12, 8x14, 8x16, 10x20, 12x24, 14x28 and 16x32.
The styles are normal and bold (except for 6x12), plus EGA/VGA-bold for
8x14 and 8x16.
This package contains Terminus Font for Linux console.

%description -l ru_RU.UTF-8
Шрифт Terminus разработан для длительной (8 часов и более) работы с
компьютером. Версия 4.16 содержит 690 символа, полностью охватывая
кодовые страницы ISO8859-1/2/5/9/13/15/16,
Windows-1250/1251/1252/1254/1257, IBM-437/852/855/866, KOI8-R/U/E/F,
Bulgarian-MIK, Paratype-PT154/PT254, Macintosh-Ukrainian и Esperanto, а
также псевдографические символы vt100 и xterm.
Представлены размеры 6x12, 8x14, 8x16, 10x20, 12x24, 14x28 и 16x32,
обычный и жирный шрифт (для размера 6x12 - только обычный), и жирный
шрифт для EGA/VGA размером 8x14 и 8x16.
Этот пакет содержит шрифт Terminus для консоли Linux.


%prep
%setup -q -n %cname-font-%version
%patch0 -p1

%build
./configure --psfdir=%buildroot%cfontsdir \
	    --x11dir=%buildroot%fontsdir
make


%install
mkdir -p %buildroot%fontsdir
mkdir -p %buildroot%cfontsdir
cp %SOURCE1 FAQ
make install
make fontdir


%files
%doc README
%doc README-BG
%doc FAQ
%exclude %fontsdir
%cfontsdir/*.psf.gz


%changelog
* Thu Jun 07 2007 Eugene Vlasov <eugvv@altlinux.ru> 4.20-alt2
- fonts-console-terminus build now from separate source package, location 
  of console fonts is arch-dependent (#11809)
